<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="generator" content="ExDoc v0.31.0">
    <meta name="project" content="Manpages v2.3.0">


    <title>borg-export-tar — Manpages v2.3.0</title>
    <link rel="stylesheet" href="dist/html-elixir-3ZLIM5JF.css" />


    <script src="dist/handlebars.runtime-NWIB6V2M.js"></script>
    <script src="dist/handlebars.templates-43PMFBC7.js"></script>
    <script src="dist/sidebar_items-BAAB9852.js"></script>

      <script src="doc-versions.js"></script>

    <script async src="dist/html-CILPWI2Q.js"></script>

<link rel="stylesheet" href="assets/doc.css">
  </head>
  <body data-type="extras" class="page-extra">
    <script>

      try {
        var settings = JSON.parse(localStorage.getItem('ex_doc:settings') || '{}');

        if (settings.theme === 'dark' ||
           ((settings.theme === 'system' || settings.theme == null) &&
             window.matchMedia('(prefers-color-scheme: dark)').matches)
           ) {
          document.body.classList.add('dark')
        }
      } catch (error) { }
    </script>

<div class="main">

<button class="sidebar-button sidebar-toggle" aria-label="toggle sidebar" aria-controls="sidebar">
  <i class="ri-menu-line ri-lg" title="Collapse/expand sidebar"></i>
</button>

<nav id="sidebar" class="sidebar">

  <div class="sidebar-header">
    <div class="sidebar-projectInfo">

        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectImage">
          <img src="assets/logo.png" alt="Manpages" />
        </a>

      <div>
        <a href="https://kaisenlinux.org/manpages/" class="sidebar-projectName" translate="no">
Manpages
        </a>
        <div class="sidebar-projectVersion" translate="no">
          v2.3.0
        </div>
      </div>
    </div>
    <ul id="sidebar-listNav" class="sidebar-listNav" role="tablist">
      <li>
        <button id="extras-list-tab-button" role="tab" data-type="extras" aria-controls="extras-tab-panel" aria-selected="true" tabindex="0">
MANUALS
        </button>
      </li>


    </ul>
  </div>

  <div id="extras-tab-panel" class="sidebar-tabpanel" role="tabpanel" aria-labelledby="extras-list-tab-button">
    <ul id="extras-full-list" class="full-list"></ul>
  </div>


</nav>

<main class="content">
  <output role="status" id="toast"></output>
  <div class="content-outer">
    <div id="content" class="content-inner">
      <div class="top-search">
        <div class="search-settings">
          <form class="search-bar" action="search.html">
            <label class="search-label">
              <span class="sr-only">Search documentation of Manpages</span>
              <input name="q" type="text" class="search-input" placeholder="Search Documentation (press /)" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" />
            </label>
            <button type="submit" class="search-button" aria-label="Submit Search">
              <i class="ri-search-2-line ri-lg" aria-hidden="true" title="Submit search"></i>
            </button>
            <button type="button" tabindex="-1" class="search-close-button" aria-hidden="true">
              <i class="ri-close-line ri-lg" title="Cancel search"></i>
            </button>
          </form>
          <button class="icon-settings display-settings">
            <i class="ri-settings-3-line"></i>
            <span class="sr-only">Settings</span>
          </button>
        </div>
      </div>
      <div class="autocomplete">
      </div>

<h1>


  <span>borg-export-tar</span>
</h1>

<p>BORG-EXPORT-TAR(1)                                                        borg backup tool                                                        BORG-EXPORT-TAR(1)</p><p>NAME</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">borg</span><span class="o">-</span><span class="n">export</span><span class="o">-</span><span class="n">tar</span><span class="w"> </span><span class="o">-</span><span class="w"> </span><span class="nc">Export</span><span class="w"> </span><span class="n">archive</span><span class="w"> </span><span class="n">contents</span><span class="w"> </span><span class="n">as</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">tarball</span></code></pre><p>SYNOPSIS</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">borg</span><span class="w"> </span><span class="p" data-group-id="5803618647-1">[</span><span class="n">common</span><span class="w"> </span><span class="n">options</span><span class="p" data-group-id="5803618647-1">]</span><span class="w"> </span><span class="n">export</span><span class="o">-</span><span class="n">tar</span><span class="w"> </span><span class="p" data-group-id="5803618647-2">[</span><span class="n">options</span><span class="p" data-group-id="5803618647-2">]</span><span class="w"> </span><span class="nc">ARCHIVE</span><span class="w"> </span><span class="nc">FILE</span><span class="w"> </span><span class="p" data-group-id="5803618647-3">[</span><span class="nc">PATH</span><span class="n">...</span><span class="p" data-group-id="5803618647-3">]</span></code></pre><p>DESCRIPTION</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">This</span><span class="w"> </span><span class="n">command</span><span class="w"> </span><span class="n">creates</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">tarball</span><span class="w"> </span><span class="n">from</span><span class="w"> </span><span class="n">an</span><span class="w"> </span><span class="n">archive</span><span class="o">.</span><span class="w">

   </span><span class="nc">When</span><span class="w"> </span><span class="n">giving</span><span class="w"> </span><span class="sc">&#39;-&#39;</span><span class="w"> </span><span class="n">as</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">output</span><span class="w"> </span><span class="nc">FILE</span><span class="p">,</span><span class="w"> </span><span class="nc">Borg</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">write</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">tar</span><span class="w"> </span><span class="n">stream</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">standard</span><span class="w"> </span><span class="n">output</span><span class="o">.</span><span class="w">

   </span><span class="nc">By</span><span class="w"> </span><span class="n">default</span><span class="w"> </span><span class="p" data-group-id="0462468308-1">(</span><span class="o">--</span><span class="n">tar</span><span class="o">-</span><span class="n">filter</span><span class="o">=</span><span class="n">auto</span><span class="p" data-group-id="0462468308-1">)</span><span class="w"> </span><span class="nc">Borg</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">detect</span><span class="w"> </span><span class="n">whether</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="nc">FILE</span><span class="w"> </span><span class="n">should</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">compressed</span><span class="w"> </span><span class="n">based</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">its</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">extension</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">pipe</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">tarball</span><span class="w"> </span><span class="n">through</span><span class="w"> </span><span class="n">an</span><span class="w"> </span><span class="n">appropriate</span><span class="w">
   </span><span class="n">filter</span><span class="w"> </span><span class="n">before</span><span class="w"> </span><span class="n">writing</span><span class="w"> </span><span class="n">it</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="ss">FILE</span><span class="p">:</span><span class="w">

   </span><span class="err">•</span><span class="w"> </span><span class="o">.</span><span class="n">tar</span><span class="o">.</span><span class="n">gz</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="o">.</span><span class="ss">tgz</span><span class="p">:</span><span class="w"> </span><span class="n">gzip</span><span class="w">

   </span><span class="err">•</span><span class="w"> </span><span class="o">.</span><span class="n">tar</span><span class="o">.</span><span class="n">bz2</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="o">.</span><span class="ss">tbz</span><span class="p">:</span><span class="w"> </span><span class="n">bzip2</span><span class="w">

   </span><span class="err">•</span><span class="w"> </span><span class="o">.</span><span class="n">tar</span><span class="o">.</span><span class="n">xz</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="o">.</span><span class="ss">txz</span><span class="p">:</span><span class="w"> </span><span class="n">xz</span><span class="w">

   </span><span class="err">•</span><span class="w"> </span><span class="o">.</span><span class="n">tar</span><span class="o">.</span><span class="n">zstd</span><span class="w"> </span><span class="ow">or</span><span class="w"> </span><span class="o">.</span><span class="n">tar</span><span class="o">.</span><span class="ss">zst</span><span class="p">:</span><span class="w"> </span><span class="n">zstd</span><span class="w">

   </span><span class="err">•</span><span class="w"> </span><span class="o">.</span><span class="n">tar</span><span class="o">.</span><span class="ss">lz4</span><span class="p">:</span><span class="w"> </span><span class="n">lz4</span><span class="w">

   </span><span class="nc">Alternatively</span><span class="p">,</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="o">--</span><span class="n">tar</span><span class="o">-</span><span class="n">filter</span><span class="w"> </span><span class="n">program</span><span class="w"> </span><span class="n">may</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">explicitly</span><span class="w"> </span><span class="n">specified</span><span class="o">.</span><span class="w"> </span><span class="nc">It</span><span class="w"> </span><span class="n">should</span><span class="w"> </span><span class="n">read</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">uncompressed</span><span class="w"> </span><span class="n">tar</span><span class="w"> </span><span class="n">stream</span><span class="w"> </span><span class="n">from</span><span class="w"> </span><span class="n">stdin</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">write</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">compressed</span><span class="o">/</span><span class="n">filtered</span><span class="w">  </span><span class="n">tar</span><span class="w">
   </span><span class="n">stream</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">stdout</span><span class="o">.</span><span class="w">

   </span><span class="nc">The</span><span class="w"> </span><span class="n">generated</span><span class="w"> </span><span class="n">tarball</span><span class="w"> </span><span class="n">uses</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="nc">GNU</span><span class="w"> </span><span class="n">tar</span><span class="w"> </span><span class="n">format</span><span class="o">.</span><span class="w">

   </span><span class="n">export</span><span class="o">-</span><span class="n">tar</span><span class="w">  </span><span class="n">is</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">lossy</span><span class="w"> </span><span class="ss">conversion</span><span class="p">:</span><span class="w"> </span><span class="nc">BSD</span><span class="w"> </span><span class="n">flags</span><span class="p">,</span><span class="w"> </span><span class="nc">ACLs</span><span class="p">,</span><span class="w"> </span><span class="n">extended</span><span class="w"> </span><span class="n">attributes</span><span class="w"> </span><span class="p" data-group-id="0462468308-2">(</span><span class="n">xattrs</span><span class="p" data-group-id="0462468308-2">)</span><span class="p">,</span><span class="w"> </span><span class="n">atime</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">ctime</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">exported</span><span class="o">.</span><span class="w">  </span><span class="nc">Timestamp</span><span class="w"> </span><span class="n">resolution</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">limited</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">whole</span><span class="w">
   </span><span class="n">seconds</span><span class="p">,</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">nanosecond</span><span class="w"> </span><span class="n">resolution</span><span class="w"> </span><span class="n">otherwise</span><span class="w"> </span><span class="n">supported</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="nc">Borg</span><span class="o">.</span><span class="w">

   </span><span class="nc">A</span><span class="w"> </span><span class="o">--</span><span class="n">sparse</span><span class="w"> </span><span class="n">option</span><span class="w"> </span><span class="p" data-group-id="0462468308-3">(</span><span class="n">as</span><span class="w"> </span><span class="n">found</span><span class="w"> </span><span class="ow">in</span><span class="w"> </span><span class="n">borg</span><span class="w"> </span><span class="n">extract</span><span class="p" data-group-id="0462468308-3">)</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="ow">not</span><span class="w"> </span><span class="n">supported</span><span class="o">.</span><span class="w">

   </span><span class="nc">By</span><span class="w"> </span><span class="n">default</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">entire</span><span class="w"> </span><span class="n">archive</span><span class="w"> </span><span class="n">is</span><span class="w"> </span><span class="n">extracted</span><span class="w"> </span><span class="n">but</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">subset</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">files</span><span class="w"> </span><span class="ow">and</span><span class="w"> </span><span class="n">directories</span><span class="w"> </span><span class="n">can</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">selected</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">passing</span><span class="w"> </span><span class="n">a</span><span class="w"> </span><span class="n">list</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="nc">PATHs</span><span class="w"> </span><span class="n">as</span><span class="w"> </span><span class="n">arguments</span><span class="o">.</span><span class="w">  </span><span class="nc">The</span><span class="w"> </span><span class="n">file</span><span class="w"> </span><span class="n">selection</span><span class="w">
   </span><span class="n">can</span><span class="w"> </span><span class="n">further</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">restricted</span><span class="w"> </span><span class="n">by</span><span class="w"> </span><span class="n">using</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="o">--</span><span class="n">exclude</span><span class="w"> </span><span class="n">option</span><span class="o">.</span><span class="w">

   </span><span class="nc">For</span><span class="w"> </span><span class="n">more</span><span class="w"> </span><span class="n">help</span><span class="w"> </span><span class="n">on</span><span class="w"> </span><span class="n">include</span><span class="o">/</span><span class="n">exclude</span><span class="w"> </span><span class="n">patterns</span><span class="p">,</span><span class="w"> </span><span class="n">see</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">borg_patterns</span><span class="w"> </span><span class="n">command</span><span class="w"> </span><span class="n">output</span><span class="o">.</span><span class="w">

   </span><span class="o">--</span><span class="n">progress</span><span class="w"> </span><span class="n">can</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">slower</span><span class="w"> </span><span class="n">than</span><span class="w"> </span><span class="n">no</span><span class="w"> </span><span class="n">progress</span><span class="w"> </span><span class="n">display</span><span class="p">,</span><span class="w"> </span><span class="n">since</span><span class="w"> </span><span class="n">it</span><span class="w"> </span><span class="n">makes</span><span class="w"> </span><span class="n">one</span><span class="w"> </span><span class="n">additional</span><span class="w"> </span><span class="n">pass</span><span class="w"> </span><span class="n">over</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">archive</span><span class="w"> </span><span class="n">metadata</span><span class="o">.</span></code></pre><p>OPTIONS</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">See</span><span class="w"> </span><span class="n">borg</span><span class="o">-</span><span class="n">common</span><span class="p" data-group-id="1629784884-1">(</span><span class="mi">1</span><span class="p" data-group-id="1629784884-1">)</span><span class="w"> </span><span class="k">for</span><span class="w"> </span><span class="n">common</span><span class="w"> </span><span class="n">options</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="nc">Borg</span><span class="w"> </span><span class="n">commands</span><span class="o">.</span></code></pre><p>   arguments</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">ARCHIVE</span><span class="w">
          </span><span class="n">archive</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">export</span><span class="w">

   </span><span class="nc">FILE</span><span class="w">   </span><span class="n">output</span><span class="w"> </span><span class="n">tar</span><span class="w"> </span><span class="n">file</span><span class="o">.</span><span class="w"> </span><span class="s">&quot;-&quot;</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">write</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">stdout</span><span class="w"> </span><span class="n">instead</span><span class="o">.</span><span class="w">

   </span><span class="nc">PATH</span><span class="w">   </span><span class="n">paths</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">extract</span><span class="p">;</span><span class="w"> </span><span class="n">patterns</span><span class="w"> </span><span class="n">are</span><span class="w"> </span><span class="n">supported</span></code></pre><p>   options</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="o">--</span><span class="n">tar</span><span class="o">-</span><span class="n">filter</span><span class="w">
          </span><span class="n">filter</span><span class="w"> </span><span class="n">program</span><span class="w"> </span><span class="n">to</span><span class="w"> </span><span class="n">pipe</span><span class="w"> </span><span class="n">data</span><span class="w"> </span><span class="n">through</span><span class="w">

   </span><span class="o">--</span><span class="n">list</span><span class="w"> </span><span class="n">output</span><span class="w"> </span><span class="n">verbose</span><span class="w"> </span><span class="n">list</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">items</span><span class="w"> </span><span class="p" data-group-id="0848490283-1">(</span><span class="n">files</span><span class="p">,</span><span class="w"> </span><span class="n">dirs</span><span class="p">,</span><span class="w"> </span><span class="n">...</span><span class="p" data-group-id="0848490283-1">)</span></code></pre><p>   Exclusion options</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="o">-</span><span class="n">e</span><span class="w"> </span><span class="nc">PATTERN</span><span class="p">,</span><span class="w"> </span><span class="o">--</span><span class="n">exclude</span><span class="w"> </span><span class="nc">PATTERN</span><span class="w">
          </span><span class="n">exclude</span><span class="w"> </span><span class="n">paths</span><span class="w"> </span><span class="n">matching</span><span class="w"> </span><span class="nc">PATTERN</span><span class="w">

   </span><span class="o">--</span><span class="n">exclude</span><span class="o">-</span><span class="n">from</span><span class="w"> </span><span class="nc">EXCLUDEFILE</span><span class="w">
          </span><span class="n">read</span><span class="w"> </span><span class="n">exclude</span><span class="w"> </span><span class="n">patterns</span><span class="w"> </span><span class="n">from</span><span class="w"> </span><span class="nc">EXCLUDEFILE</span><span class="p">,</span><span class="w"> </span><span class="n">one</span><span class="w"> </span><span class="n">per</span><span class="w"> </span><span class="n">line</span><span class="w">

   </span><span class="o">--</span><span class="n">pattern</span><span class="w"> </span><span class="nc">PATTERN</span><span class="w">
          </span><span class="n">include</span><span class="o">/</span><span class="n">exclude</span><span class="w"> </span><span class="n">paths</span><span class="w"> </span><span class="n">matching</span><span class="w"> </span><span class="nc">PATTERN</span><span class="w">

   </span><span class="o">--</span><span class="n">patterns</span><span class="o">-</span><span class="n">from</span><span class="w"> </span><span class="nc">PATTERNFILE</span><span class="w">
          </span><span class="n">read</span><span class="w"> </span><span class="n">include</span><span class="o">/</span><span class="n">exclude</span><span class="w"> </span><span class="n">patterns</span><span class="w"> </span><span class="n">from</span><span class="w"> </span><span class="nc">PATTERNFILE</span><span class="p">,</span><span class="w"> </span><span class="n">one</span><span class="w"> </span><span class="n">per</span><span class="w"> </span><span class="n">line</span><span class="w">

   </span><span class="o">--</span><span class="n">strip</span><span class="o">-</span><span class="n">components</span><span class="w"> </span><span class="nc">NUMBER</span><span class="w">
          </span><span class="nc">Remove</span><span class="w"> </span><span class="n">the</span><span class="w"> </span><span class="n">specified</span><span class="w"> </span><span class="n">number</span><span class="w"> </span><span class="n">of</span><span class="w"> </span><span class="n">leading</span><span class="w"> </span><span class="n">path</span><span class="w"> </span><span class="n">elements</span><span class="o">.</span><span class="w"> </span><span class="nc">Paths</span><span class="w"> </span><span class="k">with</span><span class="w"> </span><span class="n">fewer</span><span class="w"> </span><span class="n">elements</span><span class="w"> </span><span class="n">will</span><span class="w"> </span><span class="n">be</span><span class="w"> </span><span class="n">silently</span><span class="w"> </span><span class="n">skipped</span><span class="o">.</span></code></pre><p>EXAMPLES</p><pre><code class="makeup elixir" translate="no"><span class="w">      </span><span class="c1"># export as uncompressed tar</span><span class="w">
      </span><span class="err">$</span><span class="w"> </span><span class="n">borg</span><span class="w"> </span><span class="n">export</span><span class="o">-</span><span class="n">tar</span><span class="w"> </span><span class="o">/</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">repo</span><span class="o">::</span><span class="nc">Monday</span><span class="w"> </span><span class="nc">Monday</span><span class="o">.</span><span class="n">tar</span><span class="w">

      </span><span class="c1"># exclude some types, compress using gzip</span><span class="w">
      </span><span class="err">$</span><span class="w"> </span><span class="n">borg</span><span class="w"> </span><span class="n">export</span><span class="o">-</span><span class="n">tar</span><span class="w"> </span><span class="o">/</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">repo</span><span class="o">::</span><span class="nc">Monday</span><span class="w"> </span><span class="nc">Monday</span><span class="o">.</span><span class="n">tar</span><span class="o">.</span><span class="n">gz</span><span class="w"> </span><span class="o">--</span><span class="n">exclude</span><span class="w"> </span><span class="sc">&#39;*.so&#39;</span><span class="w">

      </span><span class="c1"># use higher compression level with gzip</span><span class="w">
      </span><span class="err">$</span><span class="w"> </span><span class="n">borg</span><span class="w"> </span><span class="n">export</span><span class="o">-</span><span class="n">tar</span><span class="w"> </span><span class="o">--</span><span class="n">tar</span><span class="o">-</span><span class="n">filter</span><span class="o">=</span><span class="s">&quot;gzip -9&quot;</span><span class="w"> </span><span class="n">testrepo</span><span class="o">::</span><span class="n">linux</span><span class="w"> </span><span class="nc">Monday</span><span class="o">.</span><span class="n">tar</span><span class="o">.</span><span class="n">gz</span><span class="w">

      </span><span class="c1"># export a tar, but instead of storing it on disk,</span><span class="w">
      </span><span class="c1"># upload it to a remote site using curl.</span><span class="w">
      </span><span class="err">$</span><span class="w"> </span><span class="n">borg</span><span class="w"> </span><span class="n">export</span><span class="o">-</span><span class="n">tar</span><span class="w"> </span><span class="o">/</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">repo</span><span class="o">::</span><span class="nc">Monday</span><span class="w"> </span><span class="o">-</span><span class="w"> </span><span class="o">|</span><span class="w"> </span><span class="n">curl</span><span class="w"> </span><span class="o">--</span><span class="n">data</span><span class="o">-</span><span class="n">binary</span><span class="w"> </span><span class="err">@</span><span class="o">-</span><span class="w"> </span><span class="n">https</span><span class="ss">://</span><span class="n">somewhere</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="nc">POST</span><span class="w">

      </span><span class="c1"># remote extraction via &quot;tarpipe&quot;</span><span class="w">
      </span><span class="err">$</span><span class="w"> </span><span class="n">borg</span><span class="w"> </span><span class="n">export</span><span class="o">-</span><span class="n">tar</span><span class="w"> </span><span class="o">/</span><span class="n">path</span><span class="o">/</span><span class="n">to</span><span class="o">/</span><span class="n">repo</span><span class="o">::</span><span class="nc">Monday</span><span class="w"> </span><span class="o">-</span><span class="w"> </span><span class="o">|</span><span class="w"> </span><span class="n">ssh</span><span class="w"> </span><span class="n">somewhere</span><span class="w"> </span><span class="s">&quot;cd extracted; tar x&quot;</span></code></pre><p>SEE ALSO</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="n">borg</span><span class="o">-</span><span class="n">common</span><span class="p" data-group-id="0649684705-1">(</span><span class="mi">1</span><span class="p" data-group-id="0649684705-1">)</span></code></pre><p>AUTHOR</p><pre><code class="makeup elixir" translate="no"><span class="w">   </span><span class="nc">The</span><span class="w"> </span><span class="nc">Borg</span><span class="w"> </span><span class="nc">Collective</span><span class="w">

                                                                         </span><span class="mi">2023</span><span class="o">-</span><span class="mi">03</span><span class="o">-</span><span class="mi">22</span><span class="w">                                                           </span><span class="nc">BORG</span><span class="o">-</span><span class="nc">EXPORT</span><span class="o">-</span><span class="nc">TAR</span><span class="p" data-group-id="1794597180-1">(</span><span class="mi">1</span><span class="p" data-group-id="1794597180-1">)</span></code></pre>
<div class="bottom-actions">
  <div class="bottom-actions-item">

      <a href="borg-diff.html" class="bottom-actions-button" rel="prev">
        <span class="subheader">
          ← Previous Page
        </span>
        <span class="title">
borg-diff
        </span>
      </a>

  </div>
  <div class="bottom-actions-item">

      <a href="borg-extract.html" class="bottom-actions-button" rel="next">
        <span class="subheader">
          Next Page →
        </span>
        <span class="title">
borg-extract
        </span>
      </a>

  </div>
</div>
      <footer class="footer">
        <p>

          <span class="line">
            <button class="a-main footer-button display-quick-switch" title="Search HexDocs packages">
              Search HexDocs
            </button>

          </span>
        </p>

        <p class="built-using">
          Built using
          <a href="https://github.com/elixir-lang/ex_doc" title="ExDoc" target="_blank" rel="help noopener" translate="no">ExDoc</a> (v0.31.0) for the

            <a href="https://elixir-lang.org" title="Elixir" target="_blank" translate="no">Elixir programming language</a>

        </p>
      </footer>
    </div>
  </div>
</main>
</div>


  </body>
</html>
